POST api/v1/developer_projects/add
Request Information
URI Parameters
None.
Body Parameters
ChangeState| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| user_id | globally unique identifier |
None. |
|
| state_id | integer |
None. |
|
| parent | CodeList |
None. |
|
| send_notifications | boolean |
None. |
|
| message | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"722e22e1-4fcb-4f4f-afc4-d4385f5887d9",
"c7cab3bb-607d-471b-9036-c60c9033772e"
],
"user_id": "5647fe98-3d19-49f9-9f96-42fe4f0d8cf8",
"state_id": 1,
"parent": {
"id": "c2d97fa8-f3de-41ed-b70c-b77ecdad5a8d",
"name": "sample string 2",
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "bc572416-cd46-4968-9893-bdd4c1ad84cd",
"image_id": "2a935cf7-9ecc-49a2-b943-5ba1d47f2919",
"id_user_work_position": "528488d7-a066-4daf-90ef-ebc70fcd8e0f",
"id_shift": "e1faf1c7-4929-40ad-bf1c-44b7ea32562c",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T06:54:50Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "bc572416-cd46-4968-9893-bdd4c1ad84cd",
"image_id": "2a935cf7-9ecc-49a2-b943-5ba1d47f2919",
"id_user_work_position": "528488d7-a066-4daf-90ef-ebc70fcd8e0f",
"id_shift": "e1faf1c7-4929-40ad-bf1c-44b7ea32562c",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T06:54:50Z"
}
}
},
"send_notifications": true,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<ChangeState xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>722e22e1-4fcb-4f4f-afc4-d4385f5887d9</d2p1:guid>
<d2p1:guid>c7cab3bb-607d-471b-9036-c60c9033772e</d2p1:guid>
</ids>
<message>sample string 2</message>
<parent>
<deleted>true</deleted>
<id>c2d97fa8-f3de-41ed-b70c-b77ecdad5a8d</id>
<name>sample string 2</name>
<system_information>
<creation>
<date>2026-05-06T08:54:50.4678807+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>bc572416-cd46-4968-9893-bdd4c1ad84cd</id>
<id_shift>e1faf1c7-4929-40ad-bf1c-44b7ea32562c</id_shift>
<id_user_work_position>528488d7-a066-4daf-90ef-ebc70fcd8e0f</id_user_work_position>
<image_id>2a935cf7-9ecc-49a2-b943-5ba1d47f2919</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-06T08:54:50.4678807+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>bc572416-cd46-4968-9893-bdd4c1ad84cd</id>
<id_shift>e1faf1c7-4929-40ad-bf1c-44b7ea32562c</id_shift>
<id_user_work_position>528488d7-a066-4daf-90ef-ebc70fcd8e0f</id_user_work_position>
<image_id>2a935cf7-9ecc-49a2-b943-5ba1d47f2919</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</parent>
<send_notifications>true</send_notifications>
<state_id>1</state_id>
<user_id>5647fe98-3d19-49f9-9f96-42fe4f0d8cf8</user_id>
</ChangeState>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>